Next: IBCLR, Previous: IANY, Up: Intrinsic Procedures

### 8.115 `IARGC` — Get the number of command line arguments

Description:
  `IARGC` returns the number of arguments passed on the command line when the containing program was invoked.

  This intrinsic routine is provided for backwards compatibility with GNU Fortran 77. In new code, programmers should consider the use of the COMMAND_ARGUMENT_COUNT intrinsic defined by the Fortran 2003 standard.

Standard:
  GNU extension
Class:
  Function
Syntax:
  `RESULT = IARGC()`
Arguments:
  None.
Return value:
  The number of command line arguments, type `INTEGER(4)`.
Example:
  See GETARG
See also:
  GNU Fortran 77 compatibility subroutine: GETARG

  Fortran 2003 functions and subroutines: GET_COMMAND, GET_COMMAND_ARGUMENT, COMMAND_ARGUMENT_COUNT